/*!
* \file joueur.h
* \brief Fichier contenant les signatures des fonctions liees a la structure Joueur.
*/

#include "structures.h"

#ifndef JOUEUR_H
#define JOUEUR_H

Joueur * nouveauJoueur();
int initJoueur(Joueur * j, char * nom);
void deleteJoueur(Joueur * j);

char getNomJoueur(Joueur * j);
char setNomJoueur(Joueur * j, char * nom);

Personnage * getPersonnage(Joueur * j, int i);
int addPersonnage(Joueur * j, Personnage * p);
int removePersonnage(Joueur * j, Personnage * p);

int appartientJoueur(Joueur * j, Personnage * p);

#endif // JOUEUR_H
